Package org.springframework.cglib.proxy

# Class Mixin

java.lang.Object
org.springframework.cglib.proxy.Mixin

public abstract class Mixin extends Object
`Mixin` allows multiple objects to be combined into a single larger object. The methods in the generated object simply call the original methods in the underlying "delegate" objects.

Author:
  Chris Nokleberg

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Mixin.Generator`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`STYLE_BEANS`
`static final int`
`STYLE_EVERYTHING`
`static final int`
`STYLE_INTERFACES`

## Constructor Summary

Constructors
Constructor
Description
`Mixin()`

## Method Summary

Modifier and Type
Method
Description
`static Mixin`
`create(Class[] interfaces, Object[] delegates)`
Helper method to create an interface mixin.
`static Mixin`
`create(Object[] delegates)`
Helper method to create an interface mixin.
`static Mixin`
`createBean(ClassLoader loader, Object[] beans)`
Helper method to create a bean mixin.
`static Mixin`
`createBean(Object[] beans)`
`static Class[]`
`getClasses(Object[] delegates)`
`abstract Mixin`
`newInstance(Object[] delegates)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STYLE_INTERFACES

public static final int STYLE_INTERFACES

See Also:
  - Constant Field Values

### STYLE_BEANS

public static final int STYLE_BEANS

See Also:
  - Constant Field Values

### STYLE_EVERYTHING

public static final int STYLE_EVERYTHING

See Also:
  - Constant Field Values

## Constructor Details

### Mixin

public Mixin()

## Method Details

### newInstance

public abstract Mixin newInstance(Object[] delegates)

### create

public static Mixin create(Object[] delegates)
Helper method to create an interface mixin. For finer control over the generated instance, use a new instance of `Mixin` instead of this static method. TODO

### create

public static Mixin create(Class[] interfaces, Object[] delegates)
Helper method to create an interface mixin. For finer control over the generated instance, use a new instance of `Mixin` instead of this static method. TODO

### createBean

public static Mixin createBean(Object[] beans)

### createBean

public static Mixin createBean(ClassLoader loader, Object[] beans)
Helper method to create a bean mixin. For finer control over the generated instance, use a new instance of `Mixin` instead of this static method. TODO

### getClasses

public static Class[] getClasses(Object[] delegates)